# Varbase Media (Image/Video) Block

A media block contains a title and media.

## Varbase Media (Image/Video) Block Module

{% hint style="info" %}
Varbase media block features are bundled through the **Varbase Media (Image/Video) Block** module as part of the **Varbase Layout Builder** module.

GitHub: <https://github.com/Vardot/varbase_layout_builder>\
Drupal.org: <https://www.drupal.org/project/varbase_layout_builder>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Media (Image/Video) Block** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_layout_builder
                |-- modules
                    |-- varbase_media_block
```

Brings in the following core and contributed modules to your site:

| Module                                                                | Purpose                                                                                                                                      |
| --------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><strong>Block</strong></p><p><em>(in Drupal core)</em></p>         | Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page. |
| <p><strong>Block Content</strong></p><p><em>(in Drupal core)</em></p> | Allows the creation of custom blocks and block types.                                                                                        |
| <p><strong>Text</strong></p><p><em>(in Drupal core)</em></p>          | Defines simple text field types.                                                                                                             |
| <p><strong>Field</strong></p><p><em>(in Drupal core)</em></p>         | Field API to add fields to entities like nodes and users.                                                                                    |
| <p><strong>User</strong></p><p><em>(in Drupal core)</em></p>          | Manages the user registration and login system.                                                                                              |
| <p><strong>Options</strong></p><p><em>(in Drupal core)</em></p>       | Defines selection, check box and radio button widgets for text and numeric fields.                                                           |
| <p><strong>Link</strong></p><p><em>(in Drupal core)</em></p>          | Provides a simple link field type.                                                                                                           |
| <p><strong>Filter</strong></p><p><em>(in Drupal core)</em></p>        | Filters content in preparation for display.                                                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.0.x/developers/understanding-varbase/core-components/varbase-layout-builder/varbase-media-image-video-block.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
